Skip to main content
POST
/
advertisers
/
{advertiserId}
/
context-records
Upload context records
curl --request POST \
  --url https://api.agentic.scope3.com/api/v2/buyer/advertisers/{advertiserId}/context-records \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "records": [
    {
      "geo": "<string>",
      "timeWindowStart": "2023-12-25",
      "timeWindowEnd": "2023-12-25",
      "promoActive": false,
      "promoType": "<string>",
      "temperatureAvg": 123,
      "competitorActivity": {},
      "seasonalityIndex": 123,
      "flightStatus": "active"
    }
  ]
}
'
{
  "data": null,
  "error": {
    "code": "<string>",
    "message": "<string>",
    "field": "<string>",
    "details": {}
  }
}

Authorizations

Authorization
string
header
required

API key or access token

Path Parameters

advertiserId
string
required

Unique identifier for the advertiser

Minimum string length: 1
Example:

"12345"

Body

application/json
records
object[]
required
Required array length: 1 - 5000 elements

Response

Upload context records